<?php
/**
 * Template for a page.
 * 
 * A page has similar traits to an entry in an encyclopedia: It provides up-to-date
 * information on a certain topic, which is not expected to cease its relevance. If
 * it ever does, the page should be deleted (it may be kept in archives, of course,
 * but only there). Links on a page should never be dead, if they do, they should be
 * replaced without trace by functioning links.
 * 
 * The author of a page is of little importance, so we do not display their name. The
 * publication date is also mostly irrelevant (in the same way I don't usually care 
 * about in which version of the encyclopedia a particular entry was added).
 * The date of the last modification is interesting, because it gives visitors a hint
 * if it might be outdated (of course, that should never happen, but mistakes happen...).
 *
 * WordPress identifies this file by its name (which MUST be page.php).
 *
 * @see https://codex.wordpress.org/Theme_Development#Pages_.28page.php.29
 */

get_header();
?>
<main>
    <?php
        the_post();
        get_template_part("components/article", null, array(
            "show_author" => false,
            "show_published_date" => false,
            "show_modified_date" => true
        ));
    ?>
</main>
<?php get_footer(); ?>
